Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have a small Ubuntu 9.04 router setup as a NAT box and a PPTP server. After a power failure everything except the PPTP server still works. A windows client gets to "registering your computer on the network" but then says

Error 742: The remote computer does not support the required data encryption type.

I did some research and I think the problem is with the ppp_mppe module. When I try to run 'modprobe ppp_mppe' it hangs indefinitely.

What would cause this hang? Any ideas how I can troubleshoot this further?

Thanks for the help!

UPDATE: I am still having the problem, however I have found some more information.

When the first user tries to connect to pptp, the process list shows modprobe sha1 running, and one instance of modprobe ppp_mppe for each connection attempt. If I killall modprobe at this point the next connection attempt works, and everything is fine until the next reboot. I'm planning to do a clean install at some point in the future but I'd really like to get to the real cause of this.

share|improve this question
    
What does "dmesg" and your pptpd logs have to say? pptpd logging is sometimes just in /var/log/messages but it may have it's own log? –  3dinfluence Dec 3 '09 at 2:49
    
Did none of the answers solve your problem? Or did you fix it some other way? It would be nice to have a record of the solution in form of an accepted answer. –  vonbrand Mar 14 '13 at 12:25

4 Answers 4

Check what dmesg says when you try to load the module. There should be some information there on what's going on. Have you tried just re-installing pptpd and the ppp_mppe module?

share|improve this answer

dmesg may tell you why the module isn't loading. But if it's just hanging then there's a chance that it may not. Here's what I would do after looking at the log files to see if it points to something specific.

First if you still have an older kernel version installed reboot into it and see if it works there. If so then there it's possible that the ppp_mppe_module is corrupted for most recent kernel. I would boot into rescue mode or on a live cd and fsck the root and boot file systems to make sure you don't have any other corrupted files.

Second reinstall your kernel with sudo apt-get install --reinstall <name_of_kernel_package>. This should replace all the modules for that kernel and repair the corrupted module if that's the problem. aptitude search linux-image | grep ^i should list all the installed kernels.

share|improve this answer

I would bet that you have booted into a new kernel after that power loss. As a quick fix you can probably reboot to the older kernel to get it back running asap, then follow the other recommendations to try reinstalling the kernel modules, etc.

share|improve this answer

It's can be by a corrupted some necessary file for ppp_mppe. You can try:

strace modprobe ppp_mppe

where you can see, what is modprobe doing and what ppp_mppe tried to test while going up. Then you can test a directory, if they exists, or you can delete a corrupted file...

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.